Valorant API Unofficial docs
POST

Storefront

Get the currently available items in the store

Internal name Store_GetStorefrontV3 Server PD · shard Auth Bearer + Entitlements
POST https://pd.{shard}.a.pvp.net/store/v3/storefront/{puuid}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

puuid string · uuid required
A player's UUID

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Body

See the TypeScript definition.

Response

FeaturedBundle object
Show nested attributes Hide nested attributes 3
Bundle object
Show nested attributes Hide nested attributes 10
ID string · uuid

UUID

DataAssetID string · uuid

UUID

CurrencyID string · uuid

Currency ID

Items array[object]
Show nested attributes Hide nested attributes 6
Item object
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Amount number
BasePrice number
CurrencyID string · uuid

Currency ID

DiscountPercent number
DiscountedPrice number
IsPromoItem boolean
ItemOffers array[object] nullable
Show nested attributes Hide nested attributes 4
BundleItemOfferID string · uuid

UUID

Offer object
Show nested attributes Hide nested attributes 5
OfferID string
IsDirectPurchase boolean
StartDate string

Date in ISO 8601 format

Cost record<string, number>
Rewards array[object]
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Quantity number
DiscountPercent number
DiscountedCost record<string, number>
TotalBaseCost record<string, number> nullable
TotalDiscountedCost record<string, number> nullable
TotalDiscountPercent number
DurationRemainingInSeconds number
WholesaleOnly boolean
Bundles array[object]
Show nested attributes Hide nested attributes 10
ID string · uuid

UUID

DataAssetID string · uuid

UUID

CurrencyID string · uuid

Currency ID

Items array[object]
Show nested attributes Hide nested attributes 6
Item object
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Amount number
BasePrice number
CurrencyID string · uuid

Currency ID

DiscountPercent number
DiscountedPrice number
IsPromoItem boolean
ItemOffers array[object] nullable
Show nested attributes Hide nested attributes 4
BundleItemOfferID string · uuid

UUID

Offer object
Show nested attributes Hide nested attributes 5
OfferID string
IsDirectPurchase boolean
StartDate string

Date in ISO 8601 format

Cost record<string, number>
Rewards array[object]
DiscountPercent number
DiscountedCost record<string, number>
TotalBaseCost record<string, number> nullable
TotalDiscountedCost record<string, number> nullable
TotalDiscountPercent number
DurationRemainingInSeconds number
WholesaleOnly boolean
BundleRemainingDurationInSeconds number
SkinsPanelLayout object
Show nested attributes Hide nested attributes 3
SingleItemOffers array[string · uuid]
SingleItemStoreOffers array[object]
Show nested attributes Hide nested attributes 5
OfferID string
IsDirectPurchase boolean
StartDate string

Date in ISO 8601 format

Cost record<string, number>
Rewards array[object]
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Quantity number
SingleItemOffersRemainingDurationInSeconds number
UpgradeCurrencyStore object
Show nested attributes Hide nested attributes 1
UpgradeCurrencyOffers array[object]
Show nested attributes Hide nested attributes 4
OfferID string · uuid

UUID

StorefrontItemID string · uuid

Item ID

Offer object
Show nested attributes Hide nested attributes 5
OfferID string
IsDirectPurchase boolean
StartDate string

Date in ISO 8601 format

Cost record<string, number>
Rewards array[object]
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Quantity number
DiscountedPercent number
AccessoryStore object
Show nested attributes Hide nested attributes 3
AccessoryStoreOffers array[object]
Show nested attributes Hide nested attributes 2
Offer object
Show nested attributes Hide nested attributes 5
OfferID string
IsDirectPurchase boolean
StartDate string

Date in ISO 8601 format

Cost record<string, number>
Rewards array[object]
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Quantity number
ContractID string · uuid

UUID

AccessoryStoreRemainingDurationInSeconds number
StorefrontID string · uuid

UUID

PluginStores array[object] optional
Show nested attributes Hide nested attributes 6
PluginID string · uuid

UUID

PluginInstanceID string · uuid

UUID

StorefrontItemID string · uuid

UUID

Offers array[object]
Show nested attributes Hide nested attributes 7
OfferID string · uuid

UUID

StorefrontItemID string · uuid

UUID

StartDate string
EndDate string
Priority number
Cost record<string, number>
Rewards array[object]
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Quantity number
DurationRemainingInSeconds number
StorefrontExpiry string
BonusStore object optional

Night market

Show nested attributes Hide nested attributes 2
BonusStoreOffers array[object]
Show nested attributes Hide nested attributes 5
BonusOfferID string · uuid

UUID

Offer object
Show nested attributes Hide nested attributes 5
OfferID string
IsDirectPurchase boolean
StartDate string

Date in ISO 8601 format

Cost record<string, number>
Rewards array[object]
Show nested attributes Hide nested attributes 3
ItemTypeID string · uuid

Item Type ID

ItemID string · uuid

Item ID

Quantity number
DiscountPercent number
DiscountCosts record<string, number>
IsSeen boolean
BonusStoreRemainingDurationInSeconds number